petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscViewerASCIIGetPointer

Extracts the file pointer from an ASCII PetscViewer.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIIGetPointer(PetscViewer viewer,FILE **fd)

Not Collective

| viewer | - PetscViewer context, obtained from PetscViewerASCIIOpen()
| fd | - file pointer

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscViewerASCIIOpen(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerCreate(), PetscViewerASCIIPrintf(),
PetscViewerASCIISynchronizedPrintf(), PetscViewerFlush()

Level:intermediate
Location:src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages